// pages/competition/competition.js
const app = getApp()
const util = require('../../utils/util.js');
const APIClient = require('../../utils/APIClient.js');
const login = require('../../utils/loginSchedule.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    friendsData: {},
    friendsThreeData: {},
    myData: {},
    height: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.setNavigationBarTitle({
      title: '好友比一比'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    //登录页信息
    login.getOpenidSessionKey(res => {
      APIClient.getFriendSchedule('wx/friendsRank/exp', {
        uid: res.data.data.uid
      }).success(res => {
        console.log(res)
        this.setData({
          friendsThreeData: util.topThree(res.data.data.expRankVoList),
          friendsData: res.data.data.expRankVoList.slice(3,),
          myData: res.data.data
        })
        const length = this.data.friendsData.length;
        if(length > 7){
          this.setData({
            height: 560
          })
        }
      })
    }, function() {
      wx.showModal({
        title: '提示',
        content: '需要获取您的公开信息（昵称、头像等），请从小程序列表删除小学王者班后再次扫码进入，允许授权后可正常使用',
        showCancel: false,
        success: function (res) {
          if (res.confirm) {
            console.log('用户点击确定')
          } else if (res.cancel) {
            console.log('用户点击取消')
          }
        }
      })
    });  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})