// compontents/chat/chat.js

Component({
  /**
   * 组件的属性列表
   * 也暂时放弃了 原本分享进入的组件
   */
  properties: {
    productionData: {
      type: Object,
      value: {}
    },
    title: {
      type: String,
      value: ''      
    },
    type: {
      type: String,
      value: '' 
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    text: '',
    chatDatas: [],
    animationData: {},
  },

  /**
   * 组件的方法列表
   */
  methods: {
    uploadImage (e) {
      const type = this.properties.type;
      wx.navigateTo({
        url: '../input_content/input_content?type=' + type
      })
    },
    listenerButtonPreviewImage: function(e) {
      let imgUrl = [];
      imgUrl.push(e.target.dataset.img);
      wx.previewImage({
          current: '', // 当前显示图片的http链接
          urls: imgUrl, // 需要预览的图片http链接列表
          //这根本就不走
          success: function(res) {
              //console.log(res);
          },
          //也根本不走
          fail: function() {
              //console.log('fail')
          }
      })
    }
  }
})
