// pages/mistakes/mistakes.js
const util = require('../../utils/util.js');
const APIClient = require('../../utils/APIClient.js');
const login = require('../../utils/loginSchedule.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    mistakesData: [],
    animationData: {},
    flag: [],
    exponentData: []
  },

  particulars: function (e) {
    let flage = e.currentTarget.dataset.flag;
    let index = e.currentTarget.dataset.index;
    if(flage){
      this.util('60rpx');
      this.data.flag[index] = false;
      this.setData({
        flag: this.data.flag,
      })
    } else {
      this.data.flag[index] = true;
      this.util('164rpx');
      this.setData({
        flag: this.data.flag,
      })
    }
  },

  /* 创建动画并执行 */
  util (height) {
    // 创建动画实例   
    var animation = wx.createAnimation({  
      duration: 200,  //动画时长  
      timingFunction: "linear", //线性  
      delay: 0  //0则不延迟  
    });
    
    this.animation = animation;

    animation.height(height).step();

    this.setData({  
      animationData: animation.export()  
    })  
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    login.getOpenidSessionKey(res => {
      APIClient.getErrorsSchedule({
        uid: res.data.data.uid
      },{
        pageNo: 1,
        pageSize: 1000,
      }).success(res => {
        console.log(res.data.data.list)
        this.setData({
          mistakesData: res.data.data.list
        })

        for(let item of  res.data.data.list) {
          this.data.flag.push(false);
        }
        this.setData({
          flag: this.data.flag
        })
      })
      //用户答题指数
      APIClient.getExponentSchedule({
        uid: res.data.data.uid
      }).success(res => {
        console.log(res);
        this.setData({
          exponentData: res.data.data
        })
      })
    }, function() {
      wx.showModal({
        title: '提示',
        content: '需要获取您的公开信息（昵称、头像等），请从小程序列表删除小学王者班后再次扫码进入，允许授权后可正常使用',
        showCancel: false,
        success: function (res) {
          if (res.confirm) {
            console.log('用户点击确定')
          } else if (res.cancel) {
            console.log('用户点击取消')
          }
        }
      })
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})